import { FC } from 'react';
import { AlertProps } from 'react-bootstrap/Alert';
import { IAlertProps as IAlertPropsCore } from '@reactionable/core';
import { FontAwesomeIconProps } from '@fortawesome/react-fontawesome';
export declare type IAlertProps = IAlertPropsCore & AlertProps & {
    icon?: FontAwesomeIconProps;
};
export declare type AlertComponent = FC<IAlertProps>;
export declare const Alert: AlertComponent;
export declare const useAlert: (props?: IAlertProps | undefined) => import("@reactionable/core").IUseAlertResult;
