"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_i18next_1 = require("react-i18next");
var Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
var formik_1 = require("formik");
var core_1 = require("@reactionable/core");
function Form(_a) {
    var children = _a.children, submitButton = _a.submitButton, props = tslib_1.__rest(_a, ["children", "submitButton"]);
    var t = react_i18next_1.useTranslation().t;
    var renderChildren = function (formikProps) {
        return (react_1.default.createElement(formik_1.Form, { className: "needs-validation mb-1" },
            children(formikProps),
            submitButton && (react_1.default.createElement(Button_1.default, { disabled: formikProps.isSubmitting, type: "submit", variant: "primary" }, submitButton === true ? t('Save') : submitButton))));
    };
    return react_1.default.createElement(core_1.Form, tslib_1.__assign({}, props, { children: renderChildren }));
}
exports.Form = Form;
//# sourceMappingURL=Form.js.map